Subject: Re: [PATCH net-next 2/2] net: ethernet: Initial driver for Synopsys DWC XLGMAC

From: Pavel Machek <[email-masked]>
Date: Thu, 8 Dec 2016 22:57:12 +0100

On Thu 2016-12-08 13:58:47, Jie Deng wrote:
> 
> 
> On 2016/12/7 17:48, Pavel Machek wrote:
> > Hi!
> >
> >> This patch provides the initial driver for 25/40/50/100 GbE
> >> devices using Synopsys DWC Enterprise Ethernet (XLGMAC)
> >>
> >> Signed-off-by: Jie Deng <[email-masked]>
> > I trust this is different hardware from stmmac?
> Yes, different hardware. Currently,  Synopsys has several Ethernet IP cores. But
> drivers for these hardwares are scattered in different places. I really hope
> that they can be centralized into driver/net/ethernet/synopsys for maintenance.
> This makes things easy for others to find the corresponding drivers.
>     - QoS
>         drivers/net/ethernet/synopsys/dwc_eth_qos.c
>         drivers/net/ethernet/stmicro/stmmac/          
>     - XGMAC
>         driver/net/ethernet/amd/xgbe/
>     - XLGMAC
>         No driver for this hardware in mainline at present.

> >> diff --git a/MAINTAINERS b/MAINTAINERS
> >> index 331f6af..738f818 100644
> >> --- a/MAINTAINERS
> >> +++ b/MAINTAINERS
> >> @@ -10639,6 +10639,12 @@ S: Supported
> >>  F: Documentation/devicetree/bindings/net/snps,dwc-qos-ethernet.txt
> >>  F: drivers/net/ethernet/synopsys/dwc_eth_qos.c
> >>  
> >> +SYNOPSYS DESIGNWARE ENTERPRISE ETHERNET (XLGMAC) DRIVER
> >> +M:	jiedeng <[email-masked]>
> > Jie Deng here?
> Oh, should be Jie Deng here. Thank you!
> >
> >> @@ -0,0 +1,228 @@
> >> +/*
> >> + * Synopsys DesignWare Ethernet Driver
> > Your patch title names hardware differently...?
> Yes, currently, it should be XLGMAC driver. I extracted the parts can be shared
> for different Synopsys IPs.
> 
> The XLGMAC driver can be divided into three parts
> 
> - The DWC ethernet core layer (DWC ECL):
> Currently, it supports XLGMAC. But I think this part can be shared for different
> Synopsys IPs.
> 
> - The DWC MAC HW adapter layer (DWC MHAL):
> This part was designed to include special support for a specific MAC IP.
> Currently, XLGMAC, and I think we can add
> something to support XGMAC and QoS in the future.
> 
> - The glue adapter layer (GAL)

Ok, thanks for description. Hopefully it can be merged in a way that
is not too confusing...

Best regards,
									Pavel
-- 
(english) http://www.livejournal.com/~pavelmachek
(cesky, pictures) http://atrey.karlin.mff.cuni.cz/~pavel/picture/horses/blog.html